%global srcname certauth

Name:           python-%{srcname}
Version:        1.3.0
Release:        %autorelease
Summary:        Simple Certificate Authority for MITM proxies

License:        MIT
URL:            https://github.com/ikreymer/certauth
Source:         %{pypi_source}
# Allow alternative SAN ips and fqdns
Patch:          %{url}/commit/ad2bae5d40a9e45519fc1f2cd7678174bbc55b3d.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%global _description %{expand:
This package provides a small library, built on top of pyOpenSSL, which allows
for creating a custom certificate authority certificate, and generating
on-demand dynamic host certs using that CA certificate. It is most useful for
use with a man-in-the-middle HTTPS proxy, for example, for recording or
replaying web content.}

%description %_description

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pytest

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst
%{_bindir}/%{srcname}

%changelog
%autochangelog
